#### D.6.4.17 prepRealclassify

Procedure from library `classify.lib` (see classify_lib).

Usage:
  prepRealclassify(f); f poly

Return:
  a list, containing the modality of the singularity and the type of the singularity as a string
  This procedure is needed in realclassify.lib in order to avoid classify() being called more than once.

Example:

    LIB "classify.lib";
    ring r = 0, (x,y,z), ds;
    poly f = (x2+3y-2z)^2+xyz-(x-y3+x2z3)^3;
    prepRealclassify(f);
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    D[4]

User manual for Singular version 4.4.1, 2025, generated by texi2html.